By default, all ACHs created in the sandbox environment are moved through the normal ACH workflow, eventually ending up with the status, sent. This accelerated processing happens at the top of every hour.ACH simulations allow developers to manually trigger an ACH into various states that may arise in the course of production money movement. Developers can better understand the flow of funds by manually updating an ACH’s status to sent or returned at an accelerated timeline, as defined in the “Simulation Types” table below. The corresponding impact to an account’s balance, transaction(s), and hold(s) (if applicable) can also be observed by calling the various respective endpoints.Note that when using ACH simulations in Sandbox, the service field on the ACH object will be ignored and will not impact the simulation.The three ACH simulation types are listed below.
ACH Simulations are representative of ACH behavior on Treasury Prime ledger accounts. They may not exactly reflect on-core activity at every bank.
Simulate an ACH being sent by validating, processing and sending the ACH immediately. See Simulation errors for how failures are reported.
ach.processing_returned
Simulate an ACH being returned by validating, processing, sending, and then returning the ACH. Credit ACHs are returned immediately. Debit ACHs move to sent and then to returned after the number of minutes in userdata.scheduled_settlement (default 15). The returned ACH always has return code R01 in its error field; you can’t choose a different return reason.
ach.incoming_ach
Simulate an incoming credit or debit (externally originated) ACH.
To simulate a sent or returned ACH, an ACH object must be first be created via a POST request to the /ach endpoint with the following parameters included in the userdata field:
Parameter
Type
Required?
Description
manual
boolean
Required
true should be provided to indicate that this is a simulation request. This field prevents the ACH from automatically being processed at the top of the next hour.
scheduled_settlement
integer
Only applicable to debit ACHs. The number of minutes to wait after the simulation is submitted to capture the ACH request. Defaults to 15 minutes if unset.
A common flow for an ACH simulation is creating an ACH, and then calling the simulation endpoint with the id of the ACH. See ACH for example ACH requests. The following calls outline simulating an ACH sent simulation with a debit ACH.
To ensure that the simulation was run successfully, call the GET /ach/:id endpoint to confirm that the status of the ACH has been updated to sent or returned. The funds should have been moved to/from an account and a corresponding transaction should appear.
Initiate an ach.incoming_ach simulation. Simulates an ACH that was originated externally from a different bank by creating a transaction on an account.
POST https://api.sandbox.treasuryprime.com/simulation
There will be no response body. The response code will be a 202 - Accepted.
Error Response
{ "error": "Invalid simulation request or simulation not implemented"}
Was this page helpful?
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Treasury Prime Developer Documentation","colors":{"primary":"#3d3d3d","light":"#3d3d3d","dark":"#3d3d3d"},"logo":{"light":"https://mintcdn.com/treasuryprime/ikmEHn49nfsG7WCA/images/logo/light.svg?fit=max\u0026auto=format\u0026n=ikmEHn49nfsG7WCA\u0026q=85\u0026s=47ff733d1f469e9cc893af44486f1234","dark":"https://mintcdn.com/treasuryprime/ikmEHn49nfsG7WCA/images/logo/dark.svg?fit=max\u0026auto=format\u0026n=ikmEHn49nfsG7WCA\u0026q=85\u0026s=faa8bbf38fd72e61ac037f122199d5b4"},"favicon":"https://mintcdn.com/treasuryprime/gHGxfRvS5k4Gnce7/images/logo/favicon.ico?fit=max\u0026auto=format\u0026n=gHGxfRvS5k4Gnce7\u0026q=85\u0026s=ae5a5fa1ca2382bf032c6dab6799a7ca","navbar":{"primary":{"type":"button","label":"App Sign In","href":"https://app.treasuryprime.com"}},"footer":{"socials":{"github":"https://github.com/treasuryprime","linkedin":"https://www.linkedin.com/company/treasuryprime"}},"icons":{"library":"lucide"},"contextual":{"options":["copy","view","chatgpt","claude"],"display":"header"},"styling":{"latex":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"treasuryprime","hasAudioNarration":false,"actualSubdomain":"treasuryprime","customDomains":["docs.treasuryprime.com"],"gitSource":{"type":"github","owner":"treasuryprime","repo":"mintlify-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6aea2f122c02933e4a08c96e","collectionId":"d47e633d-f587-4cc4-b48b-5b18072d313f","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6aea2f122c02933e4a08c96e"},"feedback":{"thumbs":true,"edits":true,"issues":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6aea2f122c02933e4a08c96e","clientVersion":"0.0.4054","searchFilterCounts":[{"language":"default","tag":"API Reference","count":128},{"language":"default","tag":"Documentation","count":99},{"language":"default","tag":"Payments","count":86},{"language":"default","tag":"Account","count":58},{"language":"default","tag":"Guides","count":46},{"language":"default","tag":"Cards","count":45},{"language":"default","tag":"Account Opening","count":35},{"language":"default","tag":"Utilities","count":21},{"language":"default","tag":"Console Docs","count":16},{"language":"default","tag":"Introduction","count":15}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"reference/ach-simulations","slug":"/reference/ach-simulations","pageMetadata":{"title":"Overview","icon":"book-open","description":null,"href":"/reference/ach-simulations"},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,h5:`h5`,li:`li`,p:`p`,pre:`pre`,span:`span`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,ul:`ul`,..._provideComponents(),...props.components},{CodeBlock,CodeGroup,Heading,Table,Warning}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!CodeGroup)_missingMdxReference(`CodeGroup`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Table)_missingMdxReference(`Table`,true);if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(_Fragment,{children:[_jsxs(_components.p,{children:[`By default, all ACHs created in the sandbox environment are moved through the normal `,_jsx(_components.a,{href:`/reference/ach`,children:`ACH workflow`}),`, eventually ending up with the status, `,_jsx(_components.code,{children:`sent`}),`. This accelerated processing happens at the top of every hour.`]}),`\n`,_jsxs(_components.p,{children:[`ACH simulations allow developers to manually trigger an ACH into various states that may arise in the course of production money movement. Developers can better understand the flow of funds by manually updating an ACH’s status to `,_jsx(_components.code,{children:`sent`}),` or `,_jsx(_components.code,{children:`returned`}),` at an accelerated timeline, as defined in the “Simulation Types” table below. The corresponding impact to an account’s balance, transaction(s), and `,_jsx(_components.a,{href:`/reference/ach`,children:`hold(s) (if applicable)`}),` can also be observed by calling the various respective endpoints.`]}),`\n`,_jsxs(_components.p,{children:[`Note that when using ACH simulations in Sandbox, the `,_jsx(_components.code,{children:`service`}),` field on the ACH object will be ignored and will not impact the simulation.`]}),`\n`,_jsx(_components.p,{children:`The three ACH simulation types are listed below.`}),`\n`,_jsx(Warning,{children:_jsx(_components.p,{children:`ACH Simulations are representative of ACH behavior on Treasury Prime ledger accounts. They may not exactly reflect on-core activity at every bank.`})}),`\n`,_jsx(Heading,{level:`2`,id:`ach-simulation-types`,children:`ACH Simulation Types`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Simulation type`}),_jsx(_components.th,{children:`Explanation`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`ach.processing_sent`}),_jsxs(_components.td,{children:[`Simulate an ACH being sent by validating, processing and sending the ACH immediately. See `,_jsx(_components.a,{href:`#simulation-errors`,children:`Simulation errors`}),` for how failures are reported.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`ach.processing_returned`}),_jsxs(_components.td,{children:[`Simulate an ACH being returned by validating, processing, sending, and then returning the ACH. Credit ACHs are returned immediately. Debit ACHs move to `,_jsx(_components.code,{children:`sent`}),` and then to `,_jsx(_components.code,{children:`returned`}),` after the number of minutes in `,_jsx(_components.code,{children:`userdata.scheduled_settlement`}),` (default `,_jsx(_components.code,{children:`15`}),`). The returned ACH always has return code `,_jsx(_components.code,{children:`R01`}),` in its `,_jsx(_components.code,{children:`error`}),` field; you can’t choose a different return reason.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`ach.incoming_ach`}),_jsx(_components.td,{children:`Simulate an incoming credit or debit (externally originated) ACH.`})]})]})]}),`\n`,_jsx(Heading,{level:`3`,id:`simulation-errors`,children:`Simulation errors`}),`\n`,_jsxs(_components.p,{children:[`If the simulation request fails validation, the API returns a `,_jsx(_components.code,{children:`400`}),` response with an `,_jsx(_components.code,{children:`error`}),` message and leaves the ACH unchanged. Validation fails when:`]}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:`The ACH doesn’t exist.`}),`\n`,_jsxs(_components.li,{children:[`The ACH’s status is `,_jsx(_components.code,{children:`sent`}),`, `,_jsx(_components.code,{children:`returned`}),`, or `,_jsx(_components.code,{children:`error`}),`.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`userdata.manual`}),` on the ACH isn’t `,_jsx(_components.code,{children:`true`}),`.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`userdata.scheduled_settlement`}),` on the ACH isn’t an integer greater than or equal to `,_jsx(_components.code,{children:`0`}),`.`]}),`\n`]}),`\n`,_jsxs(_components.p,{children:[`If the ACH passes validation but can’t be processed, the API returns a `,_jsx(_components.code,{children:`500`}),` response with an `,_jsx(_components.code,{children:`error`}),` message, and the ACH may be left in `,_jsx(_components.code,{children:`error`}),` status.`]}),`\n`,_jsx(Heading,{level:`2`,id:`preparing-for-an-ach-simulation`,children:`Preparing for an ACH Simulation`}),`\n`,_jsxs(_components.p,{children:[`To simulate a sent or returned ACH, an ACH object must be first be created via a `,_jsx(_components.code,{children:`POST`}),` request to the `,_jsx(_components.code,{children:`/ach`}),` endpoint with the following parameters included in the `,_jsx(_components.code,{children:`userdata`}),` field:`]}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Parameter`}),_jsx(_components.th,{children:`Type`}),_jsx(_components.th,{children:`Required?`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`manual`}),_jsx(_components.td,{children:`boolean`}),_jsx(_components.td,{children:`Required`}),_jsxs(_components.td,{children:[_jsx(_components.code,{children:`true`}),` should be provided to indicate that this is a simulation request. This field prevents the ACH from automatically being processed at the top of the next hour.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`scheduled_settlement`}),_jsx(_components.td,{children:`integer`}),_jsx(_components.td,{}),_jsxs(_components.td,{children:[`Only applicable to `,_jsx(_components.code,{children:`debit`}),` ACHs. The number of minutes to wait after the simulation is submitted to capture the ACH request. Defaults to `,_jsx(_components.code,{children:`15`}),` minutes if unset.`]})]})]})]}),`\n`,_jsx(_components.h5,{children:`Example Request`}),`\n`,_jsx(CodeGroup,{children:_jsx(CodeBlock,{filename:`bash`,numberOfLines:`13`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`13`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`$`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -u`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` $API_KEY_ID`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`$API_SECRET_KEY`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` https://api.sandbox.treasuryprime.com/ach`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'Content-Type: application/json'`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -d`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` '{`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"account_id\": \"acct_1234567890\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"amount\": \"100.00\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"counterparty_id\": \"cp_0987654321\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"direction\": \"debit\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"sec_code\": \"ccd\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"userdata\": {`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"manual\": true,`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"scheduled_settlement\": 0`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` }'`})}),`\n`]})})})}),`\n`,_jsx(Heading,{level:`2`,id:`create-a-sent-or-returned-ach-simulation`,children:`Create a Sent or Returned ACH Simulation`}),`\n`,_jsxs(_components.p,{children:[`Initiate either an `,_jsx(_components.code,{children:`ach.processing_sent`}),` or an `,_jsx(_components.code,{children:`ach.processing_returned`}),` simulation.`]}),`\n`,_jsx(CodeGroup,{children:_jsx(CodeBlock,{filename:`bash`,numberOfLines:`1`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`1`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`POST`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` https://api.sandbox.treasuryprime.com/simulation`})]}),`\n`]})})})}),`\n`,_jsx(Heading,{level:`3`,id:`sent-or-returned-ach-simulation-request-body`,children:`Sent or Returned ACH Simulation Request Body`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Parameter`}),_jsx(_components.th,{children:`Type`}),_jsx(_components.th,{children:`Required?`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`type`}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`Required`}),_jsx(_components.td,{children:`The ACH simulation type.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`simulation`}),_jsx(_components.td,{children:`object`}),_jsx(_components.td,{children:`Required`}),_jsx(_components.td,{children:`The simulation request subobject.`})]})]})]}),`\n`,_jsx(Heading,{level:`4`,id:`simulation-sub-object`,children:`Simulation Sub-Object`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Parameter`}),_jsx(_components.th,{children:`Type`}),_jsx(_components.th,{children:`Required?`}),_jsx(_components.th,{children:`Description`})]})}),_jsx(_components.tbody,{children:_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`ach_id`}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`Required`}),_jsx(_components.td,{children:`ID of the ACH to use as the source for simulated transactions.`})]})})]}),`\n`,_jsx(_components.h5,{children:`Example Request`}),`\n`,_jsx(CodeGroup,{children:_jsx(CodeBlock,{filename:`bash`,numberOfLines:`8`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`8`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`$`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -u`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` $API_KEY_ID`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`$API_SECRET_KEY`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` https://api.sandbox.treasuryprime.com/simulation`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'Content-Type: application/json'`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -d`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` '{`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"type\": \"ach.processing_sent\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"simulation\": {`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"ach_id\": \"ach_123456\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` }'`})}),`\n`]})})})}),`\n`,_jsx(_components.h5,{children:`Success Response`}),`\n`,_jsxs(_components.p,{children:[`There will be no response body. The response code will be a `,_jsx(_components.code,{children:`202 - accepted`}),`.`]}),`\n`,_jsx(_components.h5,{children:`Error Response`}),`\n`,_jsx(CodeGroup,{children:_jsx(CodeBlock,{filename:`bash`,numberOfLines:`3`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`3`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:` \"error\"`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#DCDCAA`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Invalid simulation request or simulation not implemented\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})}),`\n`,_jsx(Heading,{level:`2`,id:`example-how-to-simulate-a-sent-ach`,children:`Example: How to Simulate a Sent ACH`}),`\n`,_jsxs(_components.p,{children:[`A common flow for an ACH simulation is creating an ACH, and then calling the simulation endpoint with the `,_jsx(_components.code,{children:`id`}),` of the ACH. See `,_jsx(_components.a,{href:`/reference/ach`,children:`ACH`}),` for example ACH requests. The following calls outline simulating an ACH sent simulation with a debit ACH.`]}),`\n`,_jsx(_components.h5,{children:`Create ACH Request`}),`\n`,_jsx(CodeGroup,{children:_jsx(CodeBlock,{filename:`bash`,numberOfLines:`13`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`13`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`$`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -u`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` $API_KEY_ID`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`$API_SECRET_KEY`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` https://api.sandbox.treasuryprime.com/ach`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'Content-Type: application/json'`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -d`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` '{`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"account_id\": \"acct_1234567890\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"amount\": \"100.00\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"counterparty_id\": \"cp_0987654321\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"direction\": \"debit\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"sec_code\": \"ccd\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"userdata\": {`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"manual\": true,`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"scheduled_settlement\": 0`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` }'`})}),`\n`]})})})}),`\n`,_jsx(_components.h5,{children:`Simulation Request`}),`\n`,_jsx(CodeGroup,{children:_jsx(CodeBlock,{filename:`bash`,numberOfLines:`8`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`8`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`$`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -u`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` $API_KEY_ID`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`$API_SECRET_KEY`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` https://api.sandbox.treasuryprime.com/simulation`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'Content-Type: application/json'`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -d`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` '{`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"type\": \"ach.processing_sent\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"simulation\": {`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"ach_id\": \"ach_104\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` }'`})}),`\n`]})})})}),`\n`,_jsx(_components.h5,{children:`Simulation Response`}),`\n`,_jsxs(_components.p,{children:[`No response body is returned. A `,_jsx(_components.code,{children:`202`}),` HTTP status indicates a successful simulation.`]}),`\n`,_jsx(Heading,{level:`3`,id:`verifying-a-successful-simulation`,children:`Verifying a Successful Simulation`}),`\n`,_jsxs(_components.p,{children:[`To ensure that the simulation was run successfully, call the `,_jsx(_components.code,{children:`GET /ach/:id`}),` endpoint to confirm that the status of the ACH has been updated to `,_jsx(_components.code,{children:`sent`}),` or `,_jsx(_components.code,{children:`returned`}),`. The funds should have been moved to/from an account and a corresponding transaction should appear.`]}),`\n`,_jsx(Heading,{level:`2`,id:`create-an-incoming-ach-simulation`,children:`Create an Incoming ACH Simulation`}),`\n`,_jsxs(_components.p,{children:[`Initiate an `,_jsx(_components.code,{children:`ach.incoming_ach`}),` simulation. Simulates an ACH that was originated externally from a different bank by creating a transaction on an account.`]}),`\n`,_jsx(CodeGroup,{children:_jsx(CodeBlock,{filename:`bash`,numberOfLines:`1`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`1`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`POST`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` https://api.sandbox.treasuryprime.com/simulation`})]}),`\n`]})})})}),`\n`,_jsx(Heading,{level:`3`,id:`simulation-request-body`,children:`Simulation Request Body`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Parameter`}),_jsx(_components.th,{children:`Type`}),_jsx(_components.th,{children:`Required?`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`amount`}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`Required`}),_jsx(_components.td,{children:`Amount of money in dollars to transfer, as a string with two-decimal precision.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`account_type`}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`Required`}),_jsxs(_components.td,{children:[`The type of the account to send money to, as a string. Should be either `,_jsx(_components.code,{children:`checking`}),` or `,_jsx(_components.code,{children:`savings`})]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`direction`}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`Required`}),_jsxs(_components.td,{children:[`Either `,_jsx(_components.code,{children:`credit`}),` or `,_jsx(_components.code,{children:`debit`}),`.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`sec_code`}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`Required`}),_jsxs(_components.td,{children:[`One of `,_jsx(_components.code,{children:`ccd`}),`, `,_jsx(_components.code,{children:`cie`}),`, `,_jsx(_components.code,{children:`ppd`}),`, `,_jsx(_components.code,{children:`tel`}),`, or `,_jsx(_components.code,{children:`web`}),`.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`account_number`}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`Required`}),_jsx(_components.td,{children:`Bank account number for ACH use (maximum of 17 characters).`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`company_name`}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{}),_jsx(_components.td,{children:`The name of the company that originated this ACH.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`company_desc`}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{}),_jsx(_components.td,{children:`Description of the company that originated this ACH.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`company_id`}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{}),_jsx(_components.td,{children:`10 digit unique identifier used to identify the originator collecting payments for a debit ACH.`})]})]})]}),`\n`,_jsx(_components.h5,{children:`Example Request`}),`\n`,_jsx(_components.p,{children:`The following call outlines simulating an incoming credit ACH.`}),`\n`,_jsx(CodeGroup,{children:_jsx(CodeBlock,{filename:`bash`,numberOfLines:`15`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`15`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`$`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -u`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` $API_KEY_ID`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`$API_SECRET_KEY`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` https://api.sandbox.treasuryprime.com/simulation`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'Content-Type: application/json'`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -d`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` '{`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"type\": \"ach.incoming_ach\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"simulation\": {`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"account_number\": \"123456789\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"account_type\": \"checking\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"amount\": \"100.00\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"direction\": \"credit\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"sec_code\": \"ccd\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"company_name\": \"Prime of Treasury Inc.\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"company_desc\": \"To infinity, and beyond!\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"company_id\": \"9876543210\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` }'`})}),`\n`]})})})}),`\n`,_jsx(_components.h5,{children:`Success Response`}),`\n`,_jsxs(_components.p,{children:[`There will be no response body. The response code will be a `,_jsx(_components.code,{children:`202 - Accepted`}),`.`]}),`\n`,_jsx(_components.h5,{children:`Error Response`}),`\n`,_jsx(CodeGroup,{children:_jsx(CodeBlock,{filename:`bash`,numberOfLines:`3`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`3`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:` \"error\"`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#DCDCAA`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Invalid simulation request or simulation not implemented\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Overview","icon":"book-open","description":null,"href":"/reference/ach-simulations"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"ACH Simulation Types","slug":"ach-simulation-types","depth":2,"children":[{"title":"Simulation errors","slug":"simulation-errors","depth":3,"children":[]}]},{"title":"Preparing for an ACH Simulation","slug":"preparing-for-an-ach-simulation","depth":2,"children":[]},{"title":"Create a Sent or Returned ACH Simulation","slug":"create-a-sent-or-returned-ach-simulation","depth":2,"children":[{"title":"Sent or Returned ACH Simulation Request Body","slug":"sent-or-returned-ach-simulation-request-body","depth":3,"children":[]},{"title":"Simulation Sub-Object","slug":"simulation-sub-object","depth":4,"children":[]}]},{"title":"Example: How to Simulate a Sent ACH","slug":"example-how-to-simulate-a-sent-ach","depth":2,"children":[{"title":"Verifying a Successful Simulation","slug":"verifying-a-successful-simulation","depth":3,"children":[]}]},{"title":"Create an Incoming ACH Simulation","slug":"create-an-incoming-ach-simulation","depth":2,"children":[{"title":"Simulation Request Body","slug":"simulation-request-body","depth":3,"children":[]}]}],"codeExamples":{}},"jsLinks":["/_mintlify/custom/treasuryprime/e86128c75c845315/.remarkrc.js","/_mintlify/custom/treasuryprime/cd2687f1d523ada4/eslint.config.js","/_mintlify/custom/treasuryprime/acfe20a35d07ebb6/linting/api-style-guide-rules.js","/_mintlify/custom/treasuryprime/b9c6120e98930ce5/linting/console-style-guide-rules.js","/_mintlify/custom/treasuryprime/b3ab12eda89fab9f/enzuzo.js"],"subdomain":"treasuryprime","siteName":"Treasury Prime Developer Documentation","title":"Overview - Treasury Prime Developer Documentation","navMaps":{"firstHrefInVersion":{"Virtual Ledger":{"href":"/reference/ach-simulations","matchLevel":0},"Core Direct":{"href":"/reference/account-application-testing","matchLevel":2}},"firstHrefInLanguage":{}},"lastModified":"2026-11-03T18:36:06.034Z","originalFileLocation":"reference/ach-simulations.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"application-name\" content=\"Treasury Prime Developer Documentation\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/treasuryprime/Y3vBGa_LeWNzVEHn/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/treasuryprime/Y3vBGa_LeWNzVEHn/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/treasuryprime/Y3vBGa_LeWNzVEHn/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/treasuryprime/Y3vBGa_LeWNzVEHn/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/treasuryprime/Y3vBGa_LeWNzVEHn/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/treasuryprime/Y3vBGa_LeWNzVEHn/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/treasuryprime/Y3vBGa_LeWNzVEHn/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/treasuryprime/Y3vBGa_LeWNzVEHn/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/treasuryprime/Y3vBGa_LeWNzVEHn/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Overview - Treasury Prime Developer Documentation\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Treasury Prime Developer Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.treasuryprime.com/reference/ach-simulations\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://treasuryprime.mintlify.app/_mintlify/api/og/v2?division=ACH+Simulations\u0026amp;title=Overview\u0026amp;theme=39091faa7c2fd3d0eeda1bf9\u0026amp;signature=8eb25b62ee7e7fb67bd87cac74e4604dc4411397be6ef8a33527cdc415352ac5\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Overview - Treasury Prime Developer Documentation\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://treasuryprime.mintlify.app/_mintlify/api/og/v2?division=ACH+Simulations\u0026amp;title=Overview\u0026amp;theme=39091faa7c2fd3d0eeda1bf9\u0026amp;signature=8eb25b62ee7e7fb67bd87cac74e4604dc4411397be6ef8a33527cdc415352ac5\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/treasuryprime/Y3vBGa_LeWNzVEHn/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Treasury Prime Developer Documentation\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#3d3d3d\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.treasuryprime.com/reference/ach-simulations\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/reference/ach-simulations.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.treasuryprime.com/#organization\",\"name\":\"Treasury Prime Developer Documentation\",\"url\":\"https://docs.treasuryprime.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/treasuryprime/ikmEHn49nfsG7WCA/images/logo/light.svg?fit=max\u0026auto=format\u0026n=ikmEHn49nfsG7WCA\u0026q=85\u0026s=47ff733d1f469e9cc893af44486f1234\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.treasuryprime.com#website\",\"name\":\"Treasury Prime Developer Documentation\",\"url\":\"https://docs.treasuryprime.com\",\"publisher\":{\"@id\":\"https://docs.treasuryprime.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.treasuryprime.com/reference/ach-simulations#webpage\",\"url\":\"https://docs.treasuryprime.com/reference/ach-simulations\",\"name\":\"Overview\",\"dateModified\":\"2026-11-03T18:36:06.034Z\",\"isPartOf\":{\"@id\":\"https://docs.treasuryprime.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.treasuryprime.com/reference/ach-simulations#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.treasuryprime.com/reference/ach-simulations#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Testing\",\"item\":\"https://docs.treasuryprime.com/reference/simulation-endpoint\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Overview\",\"item\":\"https://docs.treasuryprime.com/reference/ach-simulations\"}]},{\"@type\":[\"Article\",\"TechArticle\"],\"@id\":\"https://docs.treasuryprime.com/reference/ach-simulations#article\",\"headline\":\"Overview\",\"name\":\"Overview\",\"url\":\"https://docs.treasuryprime.com/reference/ach-simulations\",\"mainEntityOfPage\":{\"@id\":\"https://docs.treasuryprime.com/reference/ach-simulations#webpage\"},\"dateModified\":\"2026-11-03T18:36:06.034Z\",\"publisher\":{\"@id\":\"https://docs.treasuryprime.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.treasuryprime.com#website\"}}]}\u003c/script>","siteName":"Treasury Prime Developer Documentation","nav":{"global":null,"versions":[{"version":"Virtual Ledger","tabs":[{"tab":"Guides","pages":[{"title":"Guides","href":"/docs/getting-started"}]},{"tab":"API Reference","groups":[{"group":"Introduction","public":true,"pages":[{"title":"Overview","href":"/reference/introduction"},{"title":"Live and Test Environments ","href":"/reference/testing"},{"title":"Authentication","href":"/reference/authentication-1"},{"title":"Ledger \u0026 Core Direct Products","href":"/reference/ledger-core-direct-products"},{"title":"Testing In Sandbox","href":"/reference/testing-in-sandbox"},{"title":"Health Check","href":"/reference/health-check"},{"title":"Idempotency","href":"/reference/idempotency"},{"title":"Request and Response Payloads","href":"/reference/request-and-response-payloads"},{"title":"API Compatibility","href":"/reference/compatibility"},{"title":"Undocumented Fields","href":"/reference/undocumented-fields"},{"title":"Deprecated Fields","href":"/reference/deprecated-fields"},{"title":"Filtering","href":"/reference/filtering"},{"title":"Pagination","href":"/reference/pagination"},{"title":"Errors","href":"/reference/errors"}]},{"group":"Account","public":true,"pages":[{"group":"Account","public":true,"pages":[{"title":"Overview","icon":"book-open","href":"/reference/account"},{"title":"List Accounts","openapi":"api-reference/openapi-account.json GET /account","href":"/reference/get_account"},{"title":"Fetch an Account","openapi":"api-reference/openapi-account.json GET /account/{id}","href":"/reference/get_account-id"},{"title":"Update an Account","openapi":"api-reference/openapi-account.json PATCH /account/{id}","href":"/reference/patch_account-id"},{"title":"Set or Update an Account's Interest Rate","openapi":"api-reference/openapi-account.json PATCH /account/{account_id}/interest_rate","href":"/reference/patch_account_interest_rate"},{"title":"List Average Balances","openapi":"api-reference/openapi-account.json GET /account/{id}/average_balance","href":"/reference/get_account_average_balance"},{"title":"List Daily Balances","openapi":"api-reference/openapi-account.json GET /account/{id}/daily_balance","href":"/reference/get_account_daily_balance"},{"title":"List Transactions","openapi":"api-reference/openapi-account.json GET /account/{id}/transaction","href":"/reference/get_account_transaction"},{"title":"List Pending Transactions","openapi":"api-reference/openapi-account.json GET /account/{account_id}/pending_transaction","href":"/reference/get_account_pending_transaction"},{"title":"List Account Locks","openapi":"api-reference/openapi-account.json GET /account_lock","href":"/reference/get_account_lock"},{"title":"Fetch an Account Lock","openapi":"api-reference/openapi-account.json GET /account_lock/{id}","href":"/reference/get_account_lock-id"}]},{"group":"Account Documents","public":true,"pages":[{"title":"Generate a Statement","openapi":"api-reference/openapi-account.json POST /account/{account_id}/statement","href":"/reference/post_account_statement"},{"title":"Generate a Tax Document","openapi":"api-reference/openapi-account.json POST /account/{account_id}/tax_document","href":"/reference/post_account_tax_document"},{"title":"Fetch a Tax Document","openapi":"api-reference/openapi-account.json GET /account/{account_id}/tax_document/{id}","href":"/reference/get_account_tax_document-id"},{"title":"Delete Tax Document","openapi":"api-reference/openapi-account.json DELETE /account/{account_id}/tax_document/{id}","href":"/reference/delete_account_tax_document-id"},{"title":"File Tax Document","openapi":"api-reference/openapi-account.json PATCH /account/{account_id}/tax_document/{id}","href":"/reference/patch_account_tax_document-id"},{"title":"Fetch a Statement","openapi":"api-reference/openapi-account.json GET /account/{id}/statement","href":"/reference/get_account_statement"},{"title":"List Tax Documents","openapi":"api-reference/openapi-account.json GET /account/{id}/tax_document","href":"/reference/get_account_tax_document"},{"title":"List Statement Configurations","openapi":"api-reference/openapi-account.json GET /statement_config","href":"/reference/get_statement_config"},{"title":"Create a Statement Configuration","openapi":"api-reference/openapi-account.json POST /statement_config","href":"/reference/post_statement_config"},{"title":"Fetch a Statement Configuration","openapi":"api-reference/openapi-account.json GET /statement_config/{id}","href":"/reference/get_statement_config-id"},{"title":"Update a Statement Configuration","openapi":"api-reference/openapi-account.json PATCH /statement_config/{id}","href":"/reference/patch_statement_config-id"}]},{"group":"ACH Config","public":true,"pages":[{"title":"List ACH Configurations","openapi":"api-reference/openapi-account.json GET /ach_config","href":"/reference/get_ach_config"},{"title":"Create an ACH Configuration","openapi":"api-reference/openapi-account.json POST /ach_config","href":"/reference/post_ach_config"},{"title":"Fetch an ACH Configuration","openapi":"api-reference/openapi-account.json GET /ach_config/{id}","href":"/reference/get_ach_config-id"},{"title":"Update an ACH Configuration","openapi":"api-reference/openapi-account.json PATCH /ach_config/{id}","href":"/reference/patch_ach_config-id"}]},{"group":"Business","public":true,"pages":[{"title":"Overview","icon":"book-open","href":"/reference/business"},{"title":"List Businesses","openapi":"api-reference/openapi-account.json GET /business","href":"/reference/get_business"},{"title":"Fetch a Business","openapi":"api-reference/openapi-account.json GET /business/{id}","href":"/reference/get_business-id"},{"title":"Update a Business","openapi":"api-reference/openapi-account.json PATCH /business/{id}","href":"/reference/patch_business-id"}]},{"group":"Enhanced FDIC Insurance","public":true,"pages":[{"title":"Overview","icon":"book-open","href":"/reference/enhanced-fdic-insurance"},{"title":"List Deposit Sweeps","openapi":"api-reference/openapi-account.json GET /deposit_sweep","href":"/reference/deposit_sweep"},{"title":"Create a Deposit Sweep","openapi":"api-reference/openapi-account.json POST /deposit_sweep","href":"/reference/post_deposit_sweep"},{"title":"Fetch a Deposit Sweep","openapi":"api-reference/openapi-account.json GET /deposit_sweep/{id}","href":"/reference/get_deposit_sweep-id"},{"title":"Update a Deposit Sweep","openapi":"api-reference/openapi-account.json PATCH /deposit_sweep/{id}","href":"/reference/patch_deposit_sweep-id"}]},{"group":"Person","public":true,"pages":[{"title":"Overview","icon":"book-open","href":"/reference/person"},{"title":"Fetch a Person","openapi":"api-reference/openapi-account.json GET /person/{id}","href":"/reference/get_person-id"},{"title":"Update a Person","openapi":"api-reference/openapi-account.json PATCH /person/{id}","href":"/reference/patch_person-id"}]},{"group":"Reserve Account","public":true,"pages":[{"title":"Overview","icon":"book-open","href":"/reference/reserve-account"},{"title":"List Reserve Accounts","openapi":"api-reference/openapi-account.json GET /reserve","href":"/reference/get_reserve_account"},{"title":"Create a Reserve Account","openapi":"api-reference/openapi-account.json POST /reserve","href":"/reference/post_reserve_account"},{"title":"Delete a Reserve Account","openapi":"api-reference/openapi-account.json DELETE /reserve/{id}","href":"/reference/delete_reserve_account-id"},{"title":"Fetch a Reserve Account","openapi":"api-reference/openapi-account.json GET /reserve/{id}","href":"/reference/get_reserve_account-id"},{"title":"Update a Reserve Account","openapi":"api-reference/openapi-account.json PATCH /reserve/{id}","href":"/reference/patch_reserve_account-id"}]},{"group":"Transactions","public":true,"pages":[{"title":"List Transactions","openapi":"api-reference/openapi-account.json GET /transaction","href":"/reference/get_transaction"},{"title":"Fetch a Transaction","openapi":"api-reference/openapi-account.json GET /transaction/{id}","href":"/reference/get_transaction-id"},{"title":"Update a Transaction","openapi":"api-reference/openapi-account.json PATCH /transaction/{id}","href":"/reference/patch_transaction-id"}]}]},{"group":"Account Opening","public":true,"pages":[{"title":"Overview","icon":"book-open","href":"/reference/apply-overview"},{"group":"Account Application","public":true,"pages":[{"title":"Overview","icon":"book-open","href":"/reference/account-application"},{"title":"List Account Applications","openapi":"api-reference/openapi-apply.json GET /apply/account_application","href":"/reference/get_apply_account_application"},{"title":"Create an Account Application","openapi":"api-reference/openapi-apply.json POST /apply/account_application","href":"/reference/post_apply_account_application"},{"title":"Fetch an Account Application","openapi":"api-reference/openapi-apply.json GET /apply/account_application/{id}","href":"/reference/get_apply_account_application-id"}]},{"group":"Account Product","public":true,"pages":[{"title":"Overview","icon":"book-open","href":"/reference/account-product"},{"title":"List Account Products","openapi":"api-reference/openapi-apply.json GET /account_product","href":"/reference/get_account_product"},{"title":"Fetch an Account Product","openapi":"api-reference/openapi-apply.json GET /account_product/{id}","href":"/reference/get_account_product-id"}]},{"group":"Account Number Reservation","public":true,"pages":[{"title":"List Account Number Reservations","openapi":"api-reference/openapi-apply.json GET /account_number_reservation","href":"/reference/get_account_number_reservation"},{"title":"Create an Account Number Reservation","openapi":"api-reference/openapi-apply.json POST /account_number_reservation","href":"/reference/post_account_number_reservation"},{"title":"Fetch an Account Number Reservation","openapi":"api-reference/openapi-apply.json GET /account_number_reservation/{id}","href":"/reference/get_account_number_reservation-id"}]},{"group":"Additional Persons","public":true,"pages":[{"title":"Overview","icon":"book-open","href":"/reference/additional-person"},{"title":"List Additional Person Applications","openapi":"api-reference/openapi-apply.json GET /apply/additional_person_application","href":"/reference/get_apply_additional_person_application"},{"title":"Create an Additional Person Application","openapi":"api-reference/openapi-apply.json POST /apply/additional_person_application","href":"/reference/post_apply_additional_person_application"},{"title":"Fetch an Additional Person Application","openapi":"api-reference/openapi-apply.json GET /apply/additional_person_application/{id}","href":"/reference/get_apply_additional_person_application-id"}]},{"group":"Business Application","public":true,"pages":[{"title":"Overview","icon":"book-open","href":"/reference/business-application"},{"title":"List Business Applications","openapi":"api-reference/openapi-apply.json GET /apply/business_application","href":"/reference/get_apply_business_application"},{"title":"Create a Business Application","openapi":"api-reference/openapi-apply.json POST /apply/business_application","href":"/reference/post_apply_business_application"},{"title":"Fetch a Business Application","openapi":"api-reference/openapi-apply.json GET /apply/business_application/{id}","href":"/reference/get_apply_business_application-id"},{"title":"Update a Business Application","openapi":"api-reference/openapi-apply.json PATCH /apply/business_application/{id}","href":"/reference/patch_apply_business_application-id"}]},{"group":"Deposit","public":true,"pages":[{"title":"Overview","icon":"book-open","href":"/reference/deposit"},{"title":"List Deposits","openapi":"api-reference/openapi-apply.json GET /apply/deposit","href":"/reference/get_apply_deposit"},{"title":"Create a Deposit","openapi":"api-reference/openapi-apply.json POST /apply/deposit","href":"/reference/post_apply_deposit"},{"title":"Fetch a Deposit","openapi":"api-reference/openapi-apply.json GET /apply/deposit/{id}","href":"/reference/get_apply_deposit-id"}]},{"group":"KYC","public":true,"pages":[{"title":"Overview","icon":"book-open","href":"/reference/kyc"},{"title":"List KYC Evaluations","openapi":"api-reference/openapi-apply.json GET /apply/kyc","href":"/reference/get_apply_kyc"},{"title":"Create a KYC Evaluation","openapi":"api-reference/openapi-apply.json POST /apply/kyc","href":"/reference/post_apply_kyc"},{"title":"Fetch a KYC Evaluation","openapi":"api-reference/openapi-apply.json GET /apply/kyc/{id}","href":"/reference/get_apply_kyc-id"}]},{"group":"KYC Product","public":true,"pages":[{"title":"Overview","icon":"book-open","href":"/reference/kyc-product"},{"title":"List KYC Products","openapi":"api-reference/openapi-apply.json GET /apply/kyc_product","href":"/reference/get_apply_kyc_product"},{"title":"Fetch a KYC Product","openapi":"api-reference/openapi-apply.json GET /apply/kyc_product/{id}","href":"/reference/get_apply_kyc_product-id"}]},{"group":"Person Application","public":true,"pages":[{"title":"Overview","icon":"book-open","href":"/reference/person-application"},{"title":"List Person Applications","openapi":"api-reference/openapi-apply.json GET /apply/person_application","href":"/reference/get_apply_person_application"},{"title":"Create a Person Application","openapi":"api-reference/openapi-apply.json POST /apply/person_application","href":"/reference/post_apply_person_application"},{"title":"Fetch a Person Application","openapi":"api-reference/openapi-apply.json GET /apply/person_application/{id}","href":"/reference/get_apply_person_application-id"}]}]},{"group":"Cards","public":true,"pages":[{"group":"Card","public":true,"pages":[{"title":"Overview","icon":"book-open","href":"/reference/card"},{"title":"List Cards","openapi":"api-reference/openapi-cards.json GET /card","href":"/reference/get_card"},{"title":"Create a Card","openapi":"api-reference/openapi-cards.json POST /card","href":"/reference/post_card"},{"title":"Fetch a Card","openapi":"api-reference/openapi-cards.json GET /card/{id}","href":"/reference/get_card-id"},{"title":"Update a Card","openapi":"api-reference/openapi-cards.json PATCH /card/{id}","href":"/reference/patch_card-id"}]},{"group":"Card Auth Loop Endpoint","public":true,"pages":[{"title":"Overview","icon":"book-open","href":"/reference/card-auth-loop-endpoint"},{"title":"List Endpoints","openapi":"api-reference/openapi-cards.json GET /card_auth_loop_endpoint","href":"/reference/get_card_auth_loop_endpoint"},{"title":"Create an Endpoint","openapi":"api-reference/openapi-cards.json POST /card_auth_loop_endpoint","href":"/reference/post_card_auth_loop_endpoint"},{"title":"Delete an Endpoint","openapi":"api-reference/openapi-cards.json DELETE /card_auth_loop_endpoint/{id}","href":"/reference/delete_card_auth_loop_endpoint-id"},{"title":"Fetch an Endpoint","openapi":"api-reference/openapi-cards.json GET /card_auth_loop_endpoint/{id}","href":"/reference/get_card_auth_loop_endpoint-id"},{"title":"Update an Endpoint","openapi":"api-reference/openapi-cards.json PATCH /card_auth_loop_endpoint/{id}","href":"/reference/patch_card_auth_loop_endpoint-id"}]},{"group":"Card Controls","public":true,"pages":[{"title":"Overview","icon":"book-open","href":"/reference/card-controls"}]},{"group":"Card Event","public":true,"pages":[{"title":"Overview","icon":"book-open","href":"/reference/card-event"},{"title":"List Card Events","openapi":"api-reference/openapi-cards.json GET /card_event","href":"/reference/get_card_event"},{"title":"Fetch a Card Event","openapi":"api-reference/openapi-cards.json GET /card_event/{id}","href":"/reference/get_card_event-id"}]},{"group":"Card Product","public":true,"pages":[{"title":"Overview","icon":"book-open","href":"/reference/card-product"},{"title":"List Card Products","openapi":"api-reference/openapi-cards.json GET /cardproduct","href":"/reference/get_card_product"},{"title":"Fetch a Card Product","openapi":"api-reference/openapi-cards.json GET /cardproduct/{id}","href":"/reference/get_card_product-id"},{"title":"Update a Card Product","openapi":"api-reference/openapi-cards.json PATCH /cardproduct/{id}","href":"/reference/patch_card_product-id"}]},{"group":"Digital Wallet Tokens","public":true,"pages":[{"title":"Overview","icon":"book-open","href":"/reference/digital-wallet-token"},{"title":"Provision with Apple Pay","openapi":"api-reference/openapi-cards.json POST /card/{card_id}/digital_wallet_token/apple_pay","href":"/reference/provision_with_apple_pay"},{"title":"Provision with Google Pay","openapi":"api-reference/openapi-cards.json POST /card/{card_id}/digital_wallet_token/google_pay","href":"/reference/provision_with_google_pay"},{"title":"List Tokens","openapi":"api-reference/openapi-cards.json GET /digital_wallet_token","href":"/reference/get_token"},{"title":"Fetch a Token","openapi":"api-reference/openapi-cards.json GET /digital_wallet_token/{id}","href":"/reference/get_token-id"},{"title":"Update a Token","openapi":"api-reference/openapi-cards.json PATCH /digital_wallet_token/{id}","href":"/reference/patch_token-id"}]},{"group":"Hold Expirations","public":true,"pages":[{"title":"Overview","icon":"book-open","href":"/reference/card-hold-expirations"}]},{"group":"MarqetaJS","public":true,"pages":[{"title":"Request an Access Token","openapi":"api-reference/openapi-cards.json GET /card/{id}/token","href":"/reference/marqeta_js"}]},{"group":"MarqetaUXToolkit","public":true,"pages":[{"title":"Overview","icon":"book-open","href":"/reference/marqeta_uxtoolkit_overview"},{"title":"Request an Access Token","openapi":"api-reference/openapi-cards.json POST /person/{id}/uxt_access_token","deprecated":true,"href":"/reference/marqeta_uxtoolkit"},{"title":"Request an Access Token for a Card","openapi":"api-reference/openapi-cards.json POST /card/{id}/uxt_access_token","href":"/reference/marqeta_uxtoolkit_card"},{"title":"Upload a UX Toolkit Theme","openapi":"api-reference/openapi-cards.json POST /card/uxt_theme","href":"/reference/marqeta_uxt_theme"},{"title":"Upload Card Art to the Marqeta UX Toolkit","openapi":"api-reference/openapi-cards.json POST /cardproduct/{card_product_id}/uxt_cardart","href":"/reference/marqeta_uxt_cardart"}]}]},{"group":"Payments","public":true,"pages":[{"group":"ACH","public":true,"pages":[{"title":"Overview","icon":"book-open","href":"/reference/ach"},{"title":"List ACHs","openapi":"api-reference/openapi-payments.json GET /ach","href":"/reference/get_ach"},{"title":"Create an ACH","openapi":"api-reference/openapi-payments.json POST /ach","href":"/reference/post_ach"},{"title":"Fetch an ACH","openapi":"api-reference/openapi-payments.json GET /ach/{id}","href":"/reference/get_ach-id"},{"title":"Update an ACH","openapi":"api-reference/openapi-payments.json PATCH /ach/{id}","href":"/reference/patch_ach-id"}]},{"group":"Book Transfer","public":true,"pages":[{"title":"Overview","icon":"book-open","href":"/reference/book-transfer"},{"title":"List Book Transfers","openapi":"api-reference/openapi-payments.json GET /book","href":"/reference/get_book"},{"title":"Create a Book Transfer","openapi":"api-reference/openapi-payments.json POST /book","href":"/reference/post_book"},{"title":"Fetch a Book Transfer","openapi":"api-reference/openapi-payments.json GET /book/{id}","href":"/reference/get_book-id"},{"title":"Update a Book Transfer","openapi":"api-reference/openapi-payments.json PATCH /book/{id}","href":"/reference/patch_book-id"}]},{"group":"Check Issuing","public":true,"pages":[{"title":"Overview","icon":"book-open","href":"/reference/check-issuing"},{"title":"List Issued Checks","openapi":"api-reference/openapi-payments.json GET /check","href":"/reference/get_check"},{"title":"Issue a Check","openapi":"api-reference/openapi-payments.json POST /check","href":"/reference/post_check"},{"title":"Fetch an Issued Check","openapi":"api-reference/openapi-payments.json GET /check/{id}","href":"/reference/get_check-id"},{"title":"Update an Issued Check","openapi":"api-reference/openapi-payments.json PATCH /check/{id}","href":"/reference/patch_check-id"}]},{"group":"Check Deposit","public":true,"pages":[{"title":"Overview","icon":"book-open","href":"/reference/check-deposit"},{"title":"List Check Deposits","openapi":"api-reference/openapi-payments.json GET /check_deposit","href":"/reference/get_check_deposit"},{"title":"Create a Check Deposit","openapi":"api-reference/openapi-payments.json POST /check_deposit","href":"/reference/post_check_deposit"},{"title":"Fetch a Check Deposit","openapi":"api-reference/openapi-payments.json GET /check_deposit/{id}","href":"/reference/get_check_deposit-id"},{"title":"Update a Check Deposit","openapi":"api-reference/openapi-payments.json PATCH /check_deposit/{id}","href":"/reference/patch_check_deposit-id"}]},{"group":"Counterparty","public":true,"pages":[{"title":"List Counterparties","openapi":"api-reference/openapi-payments.json GET /counterparty","href":"/reference/get_counterparty"},{"title":"Create a Counterparty","openapi":"api-reference/openapi-payments.json POST /counterparty","href":"/reference/post_counterparty"},{"title":"Fetch a Counterparty","openapi":"api-reference/openapi-payments.json GET /counterparty/{id}","href":"/reference/get_counterparty-id"},{"title":"Update a Counterparty","openapi":"api-reference/openapi-payments.json PATCH /counterparty/{id}","href":"/reference/patch_counterparty-id"}]},{"group":"FedNow","public":true,"pages":[{"title":"Overview","icon":"book-open","href":"/reference/fednow"},{"title":"List FedNow Payments","openapi":"api-reference/openapi-payments.json GET /fednow","href":"/reference/get_fednow"},{"title":"Create a FedNow Payment","openapi":"api-reference/openapi-payments.json POST /fednow","href":"/reference/post_fednow"},{"title":"Check External FI FedNow Status","openapi":"api-reference/openapi-payments.json GET /fednow/routing_number/{routing_number}","href":"/reference/get_fednow_routing_number"},{"title":"Fetch a FedNow Payment","openapi":"api-reference/openapi-payments.json GET /fednow/{id}","href":"/reference/get_fednow-id"}]},{"group":"Green Dot","public":true,"pages":[{"title":"Overview","icon":"book-open","href":"/reference/greendot"},{"title":"List Green Dot Cash Loads","openapi":"api-reference/openapi-payments.json GET /greendot","href":"/reference/get_greendot"},{"title":"Create Green Dot Cash Load","openapi":"api-reference/openapi-payments.json POST /greendot","href":"/reference/post_greendot"},{"title":"Get Green Dot Cash Load","openapi":"api-reference/openapi-payments.json GET /greendot/{id}","href":"/reference/get_greendot-id"},{"title":"Get Green Dot Locations","openapi":"api-reference/openapi-payments.json GET /greendot/location","href":"/reference/get_greendot_location"}]},{"group":"Manual Hold","public":true,"pages":[{"title":"Overview","icon":"book-open","href":"/reference/manual-hold"},{"title":"List Manual Holds","openapi":"api-reference/openapi-payments.json GET /hold","href":"/reference/get_manual_hold"},{"title":"Create a Manual Hold","openapi":"api-reference/openapi-payments.json POST /hold","href":"/reference/post_manual_hold"},{"title":"Fetch a Manual Hold","openapi":"api-reference/openapi-payments.json GET /hold/{id}","href":"/reference/get_manual_hold-id"},{"title":"Update a Manual Hold","openapi":"api-reference/openapi-payments.json PATCH /hold/{id}","href":"/reference/patch_manual_hold-id"}]},{"group":"Incoming ACH","public":true,"pages":[{"title":"Overview","icon":"book-open","href":"/reference/incoming-ach"},{"title":"List Incoming ACHs","openapi":"api-reference/openapi-payments.json GET /incoming_ach","href":"/reference/get_incoming_ach"},{"title":"Fetch an Incoming ACH","openapi":"api-reference/openapi-payments.json GET /incoming_ach/{id}","href":"/reference/get_incoming_ach-id"},{"title":"Update an Incoming ACH","openapi":"api-reference/openapi-payments.json PATCH /incoming_ach/{id}","href":"/reference/patch_incoming_ach-id"}]},{"group":"Incoming Wire","public":true,"pages":[{"title":"Overview","icon":"book-open","href":"/reference/incoming-wire"},{"title":"List Incoming Wires","openapi":"api-reference/openapi-payments.json GET /incoming_wire","href":"/reference/get_incoming_wire"},{"title":"Fetch an Incoming Wire","openapi":"api-reference/openapi-payments.json GET /incoming_wire/{id}","href":"/reference/get_incoming_wire-id"}]},{"group":"Invoice Account Number","public":true,"pages":[{"title":"Overview","icon":"book-open","href":"/reference/invoice-account-number"},{"title":"List Account Numbers","openapi":"api-reference/openapi-payments.json GET /invoice_account_number","href":"/reference/get_invoice_account_number"},{"title":"Create an Account Number","openapi":"api-reference/openapi-payments.json POST /invoice_account_number","href":"/reference/post_invoice_account_number"},{"title":"Fetch an Account Number","openapi":"api-reference/openapi-payments.json GET /invoice_account_number/{id}","href":"/reference/get_invoice_account_number-id"},{"title":"Update an Account Number","openapi":"api-reference/openapi-payments.json PATCH /invoice_account_number/{id}","href":"/reference/patch_invoice_account_number-id"}]},{"group":"Network Transfer","public":true,"pages":[{"title":"Overview","icon":"book-open","href":"/reference/network-transfer"},{"title":"List Network Transfers","openapi":"api-reference/openapi-payments.json GET /network_transfer","href":"/reference/get_network_transfer"},{"title":"Create a Network Transfer","openapi":"api-reference/openapi-payments.json POST /network_transfer","href":"/reference/post_network_transfer"},{"title":"Fetch a Network Transfer","openapi":"api-reference/openapi-payments.json GET /network_transfer/{id}","href":"/reference/get_network_transfer-id"},{"title":"Update a Network Transfer","openapi":"api-reference/openapi-payments.json PATCH /network_transfer/{id}","href":"/reference/patch_network_transfer-id"},{"title":"Create a v2 Network Transfer","openapi":"api-reference/openapi-payments.json POST /v2/network_transfer","href":"/reference/post_network_transfer_v2"}]},{"group":"Wire","public":true,"pages":[{"title":"Overview","icon":"book-open","href":"/reference/wire"},{"title":"List Wire Transfers","openapi":"api-reference/openapi-payments.json GET /wire","href":"/reference/get_wire"},{"title":"Create a Wire Transfer","openapi":"api-reference/openapi-payments.json POST /wire","href":"/reference/post_wire"},{"title":"Fetch a Wire Transfer","openapi":"api-reference/openapi-payments.json GET /wire/{id}","href":"/reference/get_wire-id"},{"title":"Update a Wire Transfer","openapi":"api-reference/openapi-payments.json PATCH /wire/{id}","href":"/reference/patch_wire-id"}]}]},{"group":"Testing","public":true,"pages":[{"group":"Simulation Endpoint","public":true,"pages":[{"title":"Overview","icon":"book-open","href":"/reference/simulation-endpoint"},{"title":"Create a Simulation","openapi":"api-reference/openapi-testing.json POST /simulation","description":null,"href":"/reference/post_testing-create-a-simulation"}]},{"group":"ACH Simulations","public":true,"pages":[{"title":"Overview","icon":"book-open","href":"/reference/ach-simulations"}]},{"group":"Account Application Testing","public":true,"pages":[{"title":"Account Application Testing","icon":"book-open","description":null,"href":"/reference/account-application-testing"}]},{"group":"Card Simulations","public":true,"pages":[{"title":"Overview","icon":"book-open","href":"/reference/card-simulations"}]},{"group":"Check Deposit Testing","public":true,"pages":[{"title":"Overview","icon":"book-open","href":"/reference/check-deposit-testing"}]},{"group":"Check Issuing Testing","public":true,"pages":[{"title":"Overview","icon":"book-open","href":"/reference/check-issuing-testing"}]},{"group":"Digital Wallet Token Simulations","public":true,"pages":[{"title":"Overview","icon":"book-open","href":"/reference/digital-wallet-token-simulations"}]},{"group":"FedNow Simulations","public":true,"pages":[{"title":"Overview","icon":"book-open","href":"/reference/fednow-simulations"}]},{"group":"Green Dot Cash Load Simulations","public":true,"pages":[{"title":"Overview","icon":"book-open","href":"/reference/greendot-simulations"}]},{"group":"Statement Testing","public":true,"pages":[{"title":"Overview","icon":"book-open","href":"/reference/statement-testing"}]},{"group":"Wire Simulations","public":true,"pages":[{"title":"Overview","icon":"book-open","href":"/reference/wire-simulations"}]},{"group":"Wire Testing","public":true,"pages":[{"title":"Wire Testing","icon":"book-open","href":"/reference/wire-testing"}]}]},{"group":"Utilities","public":true,"pages":[{"group":"Document","public":true,"pages":[{"title":"List Documents","openapi":"api-reference/openapi-utilities.json GET /document","href":"/reference/get_document"},{"title":"Create a Document","openapi":"api-reference/openapi-utilities.json POST /document","href":"/reference/post_document"},{"title":"Fetch a Document","openapi":"api-reference/openapi-utilities.json GET /document/{id}","href":"/reference/get_document-id"},{"title":"Update a Document","openapi":"api-reference/openapi-utilities.json PATCH /document/{id}","href":"/reference/patch_document-id"}]},{"group":"File","public":true,"pages":[{"title":"Fetch a File","openapi":"api-reference/openapi-utilities.json GET /file/{id}","href":"/reference/get_file-id"},{"title":"Upload a File","openapi":"api-reference/openapi-file-upload.json POST /file","href":"/reference/post_file"},{"title":"Download a File","openapi":"api-reference/openapi-utilities.json GET /file/{id}/content","href":"/reference/get_file-id-content"}]},{"group":"Routing Number","public":true,"pages":[{"title":"Fetch a Routing Number","openapi":"api-reference/openapi-utilities.json GET /routing_number/{routing_number}","href":"/reference/get_routing-number-routing-number"}]},{"group":"Webhook","public":true,"pages":[{"title":"Overview","icon":"book-open","href":"/reference/webhook"},{"title":"List Webhooks","openapi":"api-reference/openapi-utilities.json GET /webhook","href":"/reference/get_webhook"},{"title":"Event Types","icon":"square-stack","href":"/reference/webhook-events"},{"title":"Create a Webhook","openapi":"api-reference/openapi-utilities.json POST /webhook","href":"/reference/post_webhook"},{"title":"Fetch a Webhook","openapi":"api-reference/openapi-utilities.json GET /webhook/{id}","href":"/reference/get_webhook-id"},{"title":"Delete a Webhoook","openapi":"api-reference/openapi-utilities.json DELETE /webhook/{id}","href":"/reference/delete_webhook-id"},{"title":"Update a Webhoook","openapi":"api-reference/openapi-utilities.json PATCH /webhook/{id}","href":"/reference/patch_webhook-id"},{"group":"Webhook Payloads","public":true,"pages":[{"title":"Account Webhook","openapi":"api-reference/openapi-account.json webhook account","href":"/reference/webhook-account"},{"title":"ACH Webhook","openapi":"api-reference/openapi-payments.json webhook ach","href":"/reference/webhook-ach"},{"title":"Book Transfer Webhook","openapi":"api-reference/openapi-payments.json webhook book","href":"/reference/webhook-book"},{"title":"Prime Cash Webhook","openapi":"api-reference/openapi-payments.json webhook greendot","href":"/reference/webhook-greendot"},{"title":"Transaction Webhook","openapi":"api-reference/openapi-account.json webhook transaction","href":"/reference/webhook-transaction"}]}]},{"group":"Webhooks Sent","public":true,"pages":[{"title":"List Webhooks Sent","openapi":"api-reference/openapi-utilities.json GET /webhook_send","href":"/reference/get_webhook_send"}]}]}]},{"tab":"Changelog","pages":[{"title":"Changelog","href":"/changelog"}]},{"tab":"Console Docs","pages":[{"title":"Console Docs","href":"/console-docs/overview"}]}]},{"version":"Core Direct","pages":[{"title":"Core Direct","href":"/reference/account-application-testing"}]}]},"basePath":"","title":"Overview - Treasury Prime Developer Documentation","buildId":"dpl_345ReqzYaAjzS9QpeJemsKdb7KDj","deploymentId":"dpl_345ReqzYaAjzS9QpeJemsKdb7KDj","dynamics":[],"chunks":[]}